Bug 1265550

Summary: User applet not showing users
Product: [Fedora] Fedora Reporter: Mikhail <mikhail.v.gavrilov>
Component: glib2Assignee: Matthias Clasen <mclasen>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 27CC: control-center-maint, fmuellner, mclasen, mikhail.v.gavrilov, mkasik, ofourdan, oholy, rstrode, stefw, tiagomatos
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-11-30 17:52:24 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
screenshot
none
screenshot
none
screencast
none
screenshot none

Description Mikhail 2015-09-23 08:26:33 UTC
Created attachment 1076120 [details]
screenshot

Description of problem:
User applet not showing users

$ rpm -qa | grep control
telepathy-mission-control-5.16.3-3.fc23.x86_64
control-center-filesystem-3.17.92-2.fc23.x86_64
control-center-3.17.92-2.fc23.x86_64

Comment 1 Ondrej Holy 2015-09-23 08:46:05 UTC
I can't reproduce it with the same version of the control-center. How did you upgrade to F23? Does it happen with live system?

Do you see some errors when you run the control-center from command line?
gnome-control-center user-accounts

What is output of the following command?
dbus-send --system --print-reply --dest=org.freedesktop.Accounts /org/freedesktop/Accounts org.freedesktop.Accounts.ListCachedUsers

Comment 2 Mikhail 2015-09-30 21:41:30 UTC
$ gnome-control-center user-accounts

(gnome-control-center:4832): AccountsService-WARNING **: Failed to monitor logind session changes: No space left on device



$ dbus-send --system --print-reply --dest=org.freedesktop.Accounts /org/freedesktop/Accounts org.freedesktop.Accounts.ListCachedUsers
method return time=1443649196.822658 sender=:1.3 -> destination=:1.177 serial=267 reply_serial=2
   array [
      object path "/org/freedesktop/Accounts/User1000"
   ]

Comment 3 Mikhail 2015-09-30 21:50:30 UTC
$ df -h
Filesystem      Size  Used Avail Use% Mounted on
devtmpfs         16G     0   16G   0% /dev
tmpfs            16G  734M   15G   5% /dev/shm
tmpfs            16G  1,9M   16G   1% /run
tmpfs            16G     0   16G   0% /sys/fs/cgroup
/dev/sda1        59G   19G   38G  33% /
tmpfs            16G   96M   16G   1% /tmp
/dev/sda3       500M  8,5M  492M   2% /boot/efi
/dev/sdb1       3,7T  3,5T  210G  95% /home
tmpfs           3,1G   12K  3,1G   1% /run/user/42
tmpfs           3,1G   80K  3,1G   1% /run/user/1000
/dev/sdd1       1,4G  1,4G     0 100% /run/media/mikhail/20150810-fedlet-i686
/dev/sdc1       1,5G  1,5G     0 100% /run/media/mikhail/Fedora-Live-WS-x86_64-23_B-T4

Comment 4 Mikhail 2015-10-01 07:33 UTC
Created attachment 1078963 [details]
screenshot

Comment 5 Ray Strode [halfline] 2015-10-02 12:43:53 UTC
that means you're out of inotify watches and glib is failing to fall back to polling.  Probably you have some automated backup software, or anti-virus software, or indexing software that's using up all your inotify watches.

You can work around the problem by putting

fs.inotify.max_queued_events = 65535
fs.inotify.max_user_instances = 65535
fs.inotify.max_user_watches = 65535

in /etc/sysctl.d/00-local.conf  . Or if you can identify the software that's using up all your inotify watches, you can see if it has some configuration that limits its resource usage.

Comment 7 Mikhail 2015-10-02 12:54:47 UTC
> Probably you have some automated backup software, or anti-virus software, or indexing software that's using up all your inotify watches.

I am not using backup and antivirus software. For indexing gnome-shell used tracker.
In my case a lot of i/o operations created google-chrome with a lot of tabs.
How I can sure of it?

Comment 8 Ray Strode [halfline] 2015-10-02 14:19:25 UTC
i don't actually think there's a good way to enumerate the currently in use inotify watches at present, unfortunately. There's no lsof equivalent. There might be some way to run a systemtap script in the background while your session is running to keep a tally as they come and go, but that's probably tricky to set up.

Anyway, if you're getting that error message you're definitely out of inotify watches.  I'd try the workaround and see if the problem goes away.  if you suspect tracker, you could try killing it and see if the problem recovers.

Comment 9 Mikhail 2015-10-02 14:32:43 UTC
(In reply to Ray Strode [halfline] from comment #8)
> Anyway, if you're getting that error message you're definitely out of
> inotify watches.  I'd try the workaround and see if the problem goes away. 
> if you suspect tracker, you could try killing it and see if the problem
> recovers.

Very strange, but killing tracker helps.

Comment 10 Mikhail 2015-10-02 14:33 UTC
Created attachment 1079461 [details]
screencast

Comment 11 Mikhail 2016-01-23 09:17:47 UTC
Somebody to deal with a this problem?
VSCode not works too because of this issue.

Comment 12 Mikhail 2016-01-23 09:18 UTC
Created attachment 1117414 [details]
screenshot

Comment 13 Mikhail 2016-04-03 18:16:42 UTC
$ rpm -q glib2
glib2-2.48.0-1.fc24.x86_64
glib2-2.48.0-1.fc24.i686

problem still here

Comment 14 Fedora End Of Life 2017-07-25 19:18:35 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 15 Jan Kurik 2017-08-15 09:26:35 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 16 Ben Cotton 2018-11-27 18:29:05 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 17 Ben Cotton 2018-11-30 17:52:24 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.